org.apache.hadoop.hdfs.tools

## Class GetConf

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.hdfs.tools.GetConf

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

      public class GetConf
      extends org.apache.hadoop.conf.Configured
      implements org.apache.hadoop.util.Tool

  Tool for getting configuration information from a configuration file. Adding more options:
  - If adding a simple option to get a value corresponding to a key in the configuration, use regular `GetConf.CommandHandler`. See `GetConf.Command.EXCLUDE_FILE` example.
  - If adding an option that is does not return a value for a key, add a subclass of `GetConf.CommandHandler` and set it up in `GetConf.Command`. See `GetConf.Command.NAMENODE` for example. Add for the new option added, a map entry with the corresponding `GetConf.CommandHandler`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `int` | `run(String[] args)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Method Detail

    - #### run

          public int run(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `org.apache.hadoop.util.Tool`
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.